## openssh-known-hosts 0.6.2

=== Makefile ===
# Copyright (C) 2014 Timo Weingärtner <timo@tiwe.de>
#
# This file is part of openssh-known-hosts.
#
# openssh-known-hosts is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# openssh-known-hosts is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with openssh-known-hosts. If not, see <http://www.gnu.org/licenses/>.

all: update-openssh-known-hosts.8

%.8: %.8.md
	pandoc -s -w man $< -o $@

clean:
	$(RM) *.8

## openssh-known-hosts 0.6.1

=== debian/changelog ===
openssh-known-hosts (0.6.1-3~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Timo Weingärtner <timo@tiwe.de>  Sat, 05 Jul 2014 00:22:09 +0200

openssh-known-hosts (0.6.1-3) unstable; urgency=medium

  * postrm: only act on purge, don't fail when empty

 -- Timo Weingärtner <timo@tiwe.de>  Mon, 10 Mar 2014 20:53:11 +0100

openssh-known-hosts (0.6.1-2) unstable; urgency=medium

  * postinst: check for dangling but possibly correct symlink
  * Upload to unstable (Closes: #534891)

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 26 Feb 2014 17:22:27 +0100

openssh-known-hosts (0.6.1-1) unstable; urgency=medium

  * Avoid German-isms in Description:
    Thanks to Philipp Kern <pkern@debian.org>
  * add random sleep to cron.d file to reduce DDoS effects on servers
  * New upstream version
  * rely on dh_usrlocal
  * Bump Standards Version to 3.9.5.
  * debian/watch: use github directly

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 19 Feb 2014 12:34:07 +0100

openssh-known-hosts (0.6-1) unstable; urgency=low

  * New upstream version with hostname filtering.
  * Bump Standards Version to 3.9.4.
  * Drop dash Depends: (dash is essential)
  * use copyright-format 1.0
  * add watch file
  * add Homepage: and Vcs-*: fields
  * update maintainerscripts:
    + add postrm to clean up cache and lib dirs
    + no longer remove stuff on upgrades in prerm

 -- Timo Weingärtner <timo@tiwe.de>  Thu, 10 Jan 2013 15:11:58 +0100

openssh-known-hosts (0.5) fsmi-squeeze; urgency=low

  * Fix fd redirection (Errors went into ssh_known_hosts).

 -- Timo Weingärtner <timo@tiwe.de>  Sat, 10 Jul 2010 18:51:56 +0200

openssh-known-hosts (0.4) fsmi-squeeze; urgency=low

  * Don't update ssh_known_hosts if nothing changed.
  * Plugin curl: Allow passing of CURL_OPTIONS.
  * Update copyright years.
  * Bump Standards-Version to 3.9.0.

 -- Timo Weingärtner <timo@tiwe.de>  Sat, 10 Jul 2010 02:11:40 +0200

openssh-known-hosts (0.3) fsmi-squeeze; urgency=low

  * Bump Standards-Version to 3.8.4, no changes needed.
  * Use dh in debian/rules.
  * Remove /usr/local/share/openssh-known-hosts in prerm.
  * Add debian/source/format.
  * Quote umlauts in manpage.

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 28 Apr 2010 17:06:32 +0200

openssh-known-hosts (0.2) unstable; urgency=low

  * Add examples.
  * Add optional GnuPG verification in curl and rsync plugins.
  * Rename update-known-hosts to update-$package and install it in /usr/sbin.

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 28 Jun 2009 01:57:44 +0200

openssh-known-hosts (0.1) fsmi-lenny; urgency=low

  * Initial Release.

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 24 Jun 2009 19:19:10 +0200

=== debian/control ===
Source: openssh-known-hosts
Section: net
Priority: extra
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper (>= 7), pandoc
Standards-Version: 3.9.5
Homepage: https://github.com/tiwe-de/openssh-known-hosts
Vcs-Git: git://github.com/tiwe-de/openssh-known-hosts.git -b debian-bpo-wheezy
Vcs-Browser: https://github.com/tiwe-de/openssh-known-hosts/tree/debian-bpo-wheezy

Package: openssh-known-hosts
Architecture: all
Depends: lockfile-progs, ${misc:Depends}
Recommends: openssh-client, cron
Suggests: postgresql-client, rsync, curl, gpgv
Description: download, filter and merge known_hosts for OpenSSH
 This package allows you to download public hostkeys from multiple sources,
 filter the hostnames coming with them and merge them together into one
 file for use by OpenSSH. Plugins included:
  * curl (optional GnuPG verification)
  * rsync (optional GnuPG verification)
  * psql
  * symlink
 New plugins can easily be written.

## openssh-known-hosts 0.6.2

=== debian/changelog ===
openssh-known-hosts (0.6.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:57:35 +0100

openssh-known-hosts (0.6.2-1) unstable; urgency=medium

  * New upstream version
  * fix invalid-short-name-in-dep5-copyright lintian warning
  * Bump Standards-Version

 -- Timo Weingärtner <timo@tiwe.de>  Tue, 17 Feb 2015 19:56:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Timo Weingärtner <timo@tiwe.de>
 Build-Depends: debhelper (>= 7), pandoc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/tiwe-de/openssh-known-hosts
-Vcs-Git: git://github.com/tiwe-de/openssh-known-hosts.git -b debian-bpo-wheezy
-Vcs-Browser: https://github.com/tiwe-de/openssh-known-hosts/tree/debian-bpo-wheezy
+Vcs-Git: git://github.com/tiwe-de/openssh-known-hosts.git -b debian
+Vcs-Browser: https://github.com/tiwe-de/openssh-known-hosts/tree/debian
 
 Package: openssh-known-hosts
 Architecture: all

=== debian/watch ===
version=3
https://github.com/tiwe-de/openssh-known-hosts/tags .*/(\d[\d\.]*)\.tar\.gz

## openssh-known-hosts 0.6.3

=== debian/changelog ===
openssh-known-hosts (0.6.3-1) unstable; urgency=medium

  * New upstream version with sopv support by Guillem Jover.
  * update upstream urls
  * adapt to current packaging standards

 -- Timo Weingärtner <timo@tiwe.de>  Thu, 24 Oct 2024 11:38:48 +0200

=== debian/control ===
Source: openssh-known-hosts
Section: net
Priority: optional
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper-compat (= 13), pandoc
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://git.tiwe.de/openssh-known-hosts.git
Vcs-Git: https://git.tiwe.de/openssh-known-hosts.git -b debian
Vcs-Browser: https://git.tiwe.de/openssh-known-hosts.git/log/?h=debian

Package: openssh-known-hosts
Architecture: all
Depends: lockfile-progs, ${misc:Depends}
Recommends: openssh-client, cron
Suggests: postgresql-client, rsync, curl, sopv | gpgv
Description: download, filter and merge known_hosts for OpenSSH
 This package allows you to download public hostkeys from multiple sources,
 filter the hostnames coming with them and merge them together into one
 file for use by OpenSSH. Plugins included:
  * curl (optional OpenPGP verification)
  * rsync (optional OpenPGP verification)
  * psql
  * symlink
 New plugins can easily be written.

=== debian/watch ===
version=4
https://git.tiwe.de/openssh-known-hosts.git/ snapshot/openssh-known-hosts-([^/]+).tar.gz
